Instalar dos versiones de LibreOffice en Fedora 23

Debido a un bug en LibreOffice Base 5.0, que resulta bastante molesto, he tenido que instalar dos versiones del mismo.

Uso Fedora 23 kde de 64 bits. En los repositorios sólo está LibreOffice 5.0. La versión 4 es para Fedora 22

Uno de los programas que me interesa es Base. El motivo es la gestión de dos BB.DD. de escritorio.

Las tengo preparadas desde hace tiempo en Access de MS-Oficie 2003, pero tengo ganas de desprenderme de Virtual-Box y la MV de Windows 7. Sólo lo utilizaba para estabas bases de datos.

Con LibreOffice 4 no tenía problemas con las BB.DD., pero con la versión 5.0 comenzaron a aparecer.

El primero, que no aceptaba los cambios en el tipo de fuentes ni en el resto de formatos en tablas, consultas y control de tablas de formularios. Tomaba la fuente del sistema, creo, y no había forma de cambiarla. Tenías que irte a Preferencias del sistema y en fuentes, variabas el tamaño, y veías si te gustaba el formulario a imprimir, si cabían todos los caracteres en sus casillas, etc. Vamos un lio.

El segundo, ya en la última versión (5.0.4.2) es con los controles tabla de los formularios. No se pueden editar. Imprimes y te salen unas letras gigantes en los encabezados de las columnas.

He probado en varios ordenadores, distintas distribuciones, e incluso en Windows 7 y 10.

El patrón siempre es el mismo, con LibreOffice 5.0 el bug se repite, con la versión 4 no.

Ambos errores están reportados en varias ocasiones, sin resultado hasta la fecha.

Total que quise probar instalando dos versiones: LibreOffice, instalación en paralelo.

Pero no había forma, lanzaba el comando y siempre daba error.

Total que con DNF desinstalé LibreOffice Base 5.0, descargué de la página de LibreOffice la versión 4.7, descomprimí todos los archivos en un directorio y, desde la línea de comandos, instalé lo mínimo indispensable: base, Writer y los paquetes de idiomas. Si me solicitaba algún paquete mas lo añadía al comando. (Writer es necesario para poder visualizar los formularios y los informes).

Otro cambio que hubo que realizar fue el de los iconos. Sustituir Breeze por Oxygen.

Lo “malo” es que la integración de escritorio de base no es la misma que la del resto de paquete. Fedora siempre ha mantenido la interfaz de LibreOffice igual que el resto del escritorio, sin desentonar. Con el instalador descargado de la página de LibreOffice, aunque instales el paquete de kde, nunca queda bien, los colores desentonan, el navegador de archivos es antiguo y no sigue el patrón de Dolphin, etc.

Otro problema que hay es que si tienes abierto base no se puede abrir Writer o Calc 5.0.

Pero hasta que se solucione el bug no habrá más remedio que hacerlo así. No tengo ganas de hacer una instalación de Fedora 22 en Virtual-Box para poder tener la versión 4.7

Parece que base es “el patito feo” de LibreOffice. Por lo que se ve en las notas de lanzamiento de las distintas versiones y lo que se dice en foros, blogs, redes sociales, etc. es que las novedades son mínimas y hay bug que se arrastran y tardan en arreglarse.

Un saludo,

Emiliano

Anuncios

KDE 4.11 disponible para Fedora 19

Desde el día 12 de los corrientes se encuentran disponibles los paquetes para KDE 4.11 en el repositorio de KDE-RedHat http://apt.kde-redhat.org/apt/kde-redhat/fedora/

Para actualizar o instalar hay que habilitar el repositorio “unstable”.
Para instalar el repositorio:
En consola, como usuario root, teclear:


Un saludo,

KDE-Services 1.8.5

Leyendo KDE Blog http://www.kdeblog.com he encontrado un artículo 

http://www.kdeblog.com/disponible-kde-services-1-8-5.html sobre KDE-Services 1.8.5.

Dicho programa es de Geovanni B. R, conocido por geobarrod
Añade varias funcionalidades al menú contextual de Dolphin, además de crear un submenú Kde-services en el menú de inicio de KDE.
Es de lo más completo de que he encontrado. Se puede ampliar en KDE Blog.

LibreOffice 3.4.2, problemas con Oxigen-GTK en KDE y Java 7

He instalado varias veces LibreOffice 3.4.2 en Fedora 15, con Kde 4.6.95 y Kde 4.7. 

Apariencia de las aplicaciones GTK, tema Oxigen-GTK.
JRE-7 (java de Sun)
Estos problemas se reproducen en varias distribuciones, pues el problema con Oxygen-GTK viene ocasionado por la librería libstdc++.so.6, que incorpora LibreOffice.
El problema de Java 7, de Sun, es por una incompatibilidad de LibreOffice. Al configurar libreoffice, desde el menú Herramientas – Opciones – Java, no encuentra 
JRE-7, aunque en alternatives esté definida como predeterminada. Buscando en Google en puede encontrar información al respecto.
Siempre daba los mismos errores.
– Primero un error al instalar el paquete libreoffice3.4-redhat-menus-3.4-203.noarch.rpm:
Unknown media type in type ‘virtual/bluedevil-input’
Unknown media type in type ‘virtual/bluedevil-audio’
Unknown media type in type ‘virtual/bluedevil-sendfile’
Unknown media type in type ‘all/all’
Unknown media type in type ‘all/allfiles’
Unknown media type in type ‘interface/x-winamp-skin’
mkdir: no se puede crear el directorio «/usr/share/icons/hicolor/icon-theme.cache»: No es un directorio
mkdir: no se puede crear el directorio «/usr/share/icons/hicolor/index.theme»: No es un directorio
/usr/bin/gtk-update-icon-cache
gtk-update-icon-cache: Cache file created successfully.
/usr/bin/gtk-update-icon-cache
gtk-update-icon-cache: Cache file created successfully.
Al final informaba que se había instalado correctamente
– Segundo error al arrancar LibreOffice:
Lanzaba el splash y al memento se cerraba sin mostar la interfaz del programa.
Al lanzar el programa desde consola hacía exactamente igual, aparecía el splash y se apagaba, pero daba un error
(soffice:2948): Gtk-WARNING **: /opt/libreoffice3.4/program/../basis-link/ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11′ not found (required by /usr/lib64/gtk-2.0/2.10.0/engines/liboxygen-gtk.so)

(soffice:2948): Gtk-WARNING **: /opt/libreoffice3.4/program/../basis-link/ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.11′ not found (required by /usr/lib64/gtk-2.0/2.10.0/engines/liboxygen-gtk.so).
Si cambiaba el tema,  por ejemplo, por Clearlooks, no daba el error.
Este error se soluciona de la siguiente manera:
Abrir la consola y, como root, teclear:
mv /opt/libreoffice3.4/basis-link/ure-link/lib/libstdc++.so.6 /opt/libreoffice3.4/basis-link/ure-link/lib/libstdc++.so.6_bak
– Tercer error,  no se ejecuta la aplicacioón, aparece el splash de libreoffice y se cierra.
Este problema estaba ocacionado por Java-7 de Sun.
Para solucionarlo:
Borré el perfil de libreoffice: rm /home/user/.libreoffice
Cambié jre-7 por open-jdk
En consola, como root: alternatives –config java
Seleccionar open-jdk o jcc
Iniciar libreoffice desde el menú, y problema solucionado.
Una vez realizado esto se puede volver a poner jre-7 como maquina por defecto.
Un saludo,
Emiliano
Badajoz

Instalar Kde 4.7 en Fedora 15

Ya está disponible en los Repositorios Kde-RedHat la versión 4.7 de KDE.

Hasta ayer sólo figuraba la última RC, la 4.6.95
Para poder disfrutar de la misma, desde consola teclear:
– actualizar:   su -c ‘yum –enablerepo=kde-unstable update’
– instalar:       su -c ‘yum –enablerepo=kde-unstable groupinstall ‘KDE (K Desktop Environment)”

Nota: Sustituidas las comillas dobles por comillas simples. Error ocasionado pues instalo y actualizo, normalmente con Yumex.


Un saludo,
Emiliano,Badajoz.

Fedora 12, Nvidia y KDE-4


Fedora 12 no deja instalar, con la facilidad de versiones anteriores, los drivers Nvidia.

El problema viene dado por el driver Nouveau, que se carga como módulo en el kernel al arrancar.

El proceso de instalación está muy bien detallado en el siguiente enlace:

http://www.mjmwired.net/resources/mjm-fedora-nvidia.html

Se hace mención a los procesos de instalación tanto en Fedora 11 como en la 12.

Con KDE-4 existe un problema añadido. Al instalar el driver propietario Nvidia hay plamoides que van muy lentos, el panel lo mismo, procesos asociados a plama que consumen el 100% de la CPU.

Ello no es mas que un bug, que está documentado. La solución que he empleado ha sido:

Agregar los repos rdieter:

——————————–

[rdieter]

name=xorg-x11-server rebuilds for nvidia users

baseurl=http://rdieter.fedorapeople.org/repo/fedora/$releasever/$basearch/

enabled=1

gpgcheck=0

——————————–

Al actualizar ha instalado dos archivos:

xorg-x11-server-Xorg-1.7.1.7.fc12.2.rex.x86_64

xorg-x11-server-common-1.7.1.7.fc12.2.rex.x86_64

Posteriormente se reinicia el sistema y problema solucionado.